<?php

namespace App\Model;

use App\Scopes\DepartmentScope;
use Illuminate\Database\Eloquent\Model;

class Customer extends Model
{
//    protected $fillable = ['userData','search'];
    protected $guarded = [];
    protected $table = "customer"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const Model_type_one = 1; // 基础模板
    const Model_type_two = 2; // T9二手车客户模板
    public static $model_type = [
        self::Model_type_one,
        self::Model_type_two
    ];

    public static $user = [];
    public static $search = [];
    public static $limitKey = "customerPondState";
    const range_function = 'customerRange';

    public function __construct(array $attributes = [])
    {
        if(! empty($attributes['userData'])) {
            self::$user = $attributes['userData'];
            self::$search = $attributes['search'];
            self::$user['range_function'] = self::range_function;
            //进入公海池 去掉限制
            if(! empty(self::$search['pond_state']))  static::addGlobalScope(new DepartmentScope(self::$user, self::$search));
        }
        parent::__construct($attributes);
    }
}
