<?php

namespace App\Model;

use App\Scopes\ProductInventoryScope;
use Illuminate\Database\Eloquent\Model;

class InOutRecord extends Model
{
    protected $guarded = [];
    protected $table = "in_out_record"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';

    public static $user = [];
    public static $search = [];
    const range_function = '';

    public function __construct(array $attributes = [])
    {
        if(! empty($attributes['userData'])) {
            self::$user = $attributes['userData'];
            self::$search = $attributes['search'] ?? [];
            self::$user['range_function'] = self::range_function;
            static::addGlobalScope(new ProductInventoryScope(self::$user, self::$search));
        }
        parent::__construct($attributes);
    }
}
