<?php

namespace App\Model;

use App\Scopes\DepartmentScope;
use Illuminate\Database\Eloquent\Model;

class Supplier extends Model
{
//    protected $fillable = [];
    protected $guarded = [];
    protected $table = "supplier"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const is_main = 1;//是否总供应商

    public static $user = [];
    public static $search = [];
    const range_function = 'supplierRange';

    public function __construct(array $attributes = [])
    {
        if(! empty($attributes['userData'])) {
            self::$user = $attributes['userData'];
            self::$user['range_function'] = self::range_function;
            self::$search = $attributes['search'] ?? [];
            static::addGlobalScope(new DepartmentScope(self::$user, self::$search));
        }
        parent::__construct($attributes);
    }
}
